> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Org Team Custom Credentials

> Get org team custom credentials via the Junction API. Requires authentication with your team API key.

<Info>
  [Junction Management API](/api-details/junction-management-api) is available for [the Scale plan](https://tryvital.io/pricing).
</Info>

<Tip>
  The base URL of this endpoint is `https://api.management.junction.com/`.

  The endpoint accepts only [Management Key](/api-details/junction-management-api#authentication) (`X-Management-Key`).
  Team API Key is not accepted.
</Tip>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url https://api.management.junction.com/v1/org/{org_id}/team_custom_credentials/{env}/{region} \
    --header 'X-Vital-Org-Key: <api-key>'
  ```
</RequestExample>


## OpenAPI

````yaml get /v1/org/{org_id}/team_custom_credentials/{env}/{region}
openapi: 3.1.0
info:
  title: Org Management
  version: 0.1.0
servers:
  - url: https://api.management.junction.com
    description: Production Management API server
security:
  - ManagementKey: []
paths:
  /v1/org/{org_id}/team_custom_credentials/{env}/{region}:
    get:
      tags:
        - Team Custom Credentials
      summary: Get Team Custom Credentials
      operationId: >-
        get_team_custom_credentials_v1_org__org_id__team_custom_credentials__env___region__get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
        - name: env
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/Env'
        - name: region
          in: path
          required: true
          schema:
            type: string
            enum:
              - us
              - eu
            title: Region
        - name: team_id
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              format: uuid
            title: Team Id
        - name: provider
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/OAuthProviders'
              - $ref: '#/components/schemas/Labs'
              - const: freestyle_libre
                type: string
              - type: 'null'
            title: Provider
        - name: next_cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Next Cursor
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomCredentialsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Env:
      type: string
      enum:
        - production
        - sandbox
      title: Env
    OAuthProviders:
      type: string
      enum:
        - oura
        - fitbit
        - garmin
        - strava
        - wahoo
        - ihealth
        - withings
        - google_fit
        - dexcom_v3
        - polar
        - cronometer
        - omron
        - whoop_v2
        - my_fitness_pal_v2
        - ultrahuman
        - runkeeper
      title: OAuthProviders
    Labs:
      type: string
      enum:
        - ayumetrix
        - spiriplex
        - ussl
        - quest
        - sonora_quest
        - labcorp
        - bioreference
        - us_biotek
        - manual
        - sanocardio
        - ihd
        - nexus
        - my_uti
        - crl
      title: Labs
    CustomCredentialsResponse:
      properties:
        credentials:
          items:
            $ref: '#/components/schemas/ClientFacingTeamProviderCredentials'
          type: array
          title: Credentials
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - credentials
      title: CustomCredentialsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientFacingTeamProviderCredentials:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Id
        client_secret_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Secret Hash
        source:
          anyOf:
            - $ref: '#/components/schemas/Providers'
            - $ref: '#/components/schemas/Labs'
            - $ref: '#/components/schemas/LabsProviders'
            - $ref: '#/components/schemas/AppointmentProvider'
            - $ref: '#/components/schemas/EHRProvider'
          title: Source
        team_id:
          type: string
          format: uuid
          title: Team Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        details:
          anyOf:
            - $ref: '#/components/schemas/FitbitTeamProviderDetails'
            - $ref: '#/components/schemas/GoogleFitTeamProviderDetails'
            - $ref: '#/components/schemas/BioReferenceProviderDetails'
            - $ref: '#/components/schemas/LabCorpTeamProviderDetails'
            - $ref: '#/components/schemas/QuestProviderDetails'
            - $ref: '#/components/schemas/PolarTeamProviderDetails'
            - $ref: '#/components/schemas/GetLabsTeamProviderDetails'
            - $ref: '#/components/schemas/PhlebFindersTeamProviderDetails'
            - $ref: '#/components/schemas/LabcorpProviderDetails'
            - $ref: '#/components/schemas/MyFitnessPalV2TeamProviderDetails'
            - type: 'null'
          title: Details
        app_url:
          anyOf:
            - type: string
            - type: 'null'
          title: App Url
        redirect_url_override:
          anyOf:
            - type: string
            - type: 'null'
          title: Redirect Url Override
      type: object
      required:
        - id
        - source
        - team_id
        - created_at
        - updated_at
      title: ClientFacingTeamProviderCredentials
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Providers:
      type: string
      enum:
        - oura
        - fitbit
        - garmin
        - whoop
        - strava
        - renpho
        - peloton
        - wahoo
        - zwift
        - freestyle_libre
        - abbott_libreview
        - tandem_source
        - freestyle_libre_ble
        - eight_sleep
        - withings
        - apple_health_kit
        - manual
        - ihealth
        - google_fit
        - beurer_api
        - beurer_ble
        - omron
        - omron_ble
        - onetouch_ble
        - accuchek_ble
        - contour_ble
        - dexcom
        - dexcom_v3
        - hammerhead
        - my_fitness_pal
        - health_connect
        - samsung_health
        - polar
        - cronometer
        - kardia
        - whoop_v2
        - ultrahuman
        - my_fitness_pal_v2
        - map_my_fitness
        - runkeeper
      title: Providers
    LabsProviders:
      type: string
      enum:
        - shippo
        - sanocardio
        - supera
      title: LabsProviders
    AppointmentProvider:
      type: string
      enum:
        - getlabs
        - phlebfinders
        - quest
        - sonora_quest
      title: AppointmentProvider
    EHRProvider:
      type: string
      enum:
        - hint_health
      title: EHRProvider
    FitbitTeamProviderDetails:
      properties:
        fitbit:
          $ref: '#/components/schemas/FitbitMetadata'
      type: object
      required:
        - fitbit
      title: FitbitTeamProviderDetails
    GoogleFitTeamProviderDetails:
      properties:
        redirect_uri:
          type: string
          title: Redirect Uri
        data_scopes:
          items:
            type: string
          type: array
          title: Data Scopes
      type: object
      required:
        - redirect_uri
        - data_scopes
      title: GoogleFitTeamProviderDetails
    BioReferenceProviderDetails:
      properties:
        sub_account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Sub Account Id
        sub_account_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Sub Account Name
        allowed_billing_types:
          anyOf:
            - items:
                type: string
                enum:
                  - client_bill
                  - commercial_insurance
                  - patient_bill_passthrough
                  - patient_bill
              type: array
            - type: 'null'
          title: Allowed Billing Types
        disallowed_billing_states:
          anyOf:
            - additionalProperties:
                items:
                  type: string
                type: array
              propertyNames:
                enum:
                  - client_bill
                  - commercial_insurance
                  - patient_bill_passthrough
                  - patient_bill
              type: object
            - type: 'null'
          title: Disallowed Billing States
        bioreference:
          additionalProperties: true
          type: object
          title: Bioreference
      type: object
      required:
        - bioreference
      title: BioReferenceProviderDetails
    LabCorpTeamProviderDetails:
      properties:
        sub_account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Sub Account Id
        sub_account_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Sub Account Name
        allowed_billing_types:
          anyOf:
            - items:
                type: string
                enum:
                  - client_bill
                  - commercial_insurance
                  - patient_bill_passthrough
                  - patient_bill
              type: array
            - type: 'null'
          title: Allowed Billing Types
        disallowed_billing_states:
          anyOf:
            - additionalProperties:
                items:
                  type: string
                type: array
              propertyNames:
                enum:
                  - client_bill
                  - commercial_insurance
                  - patient_bill_passthrough
                  - patient_bill
              type: object
            - type: 'null'
          title: Disallowed Billing States
        labcorp:
          $ref: '#/components/schemas/LabCorpMetadata'
      type: object
      required:
        - labcorp
      title: LabCorpTeamProviderDetails
    QuestProviderDetails:
      properties:
        sub_account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Sub Account Id
        sub_account_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Sub Account Name
        allowed_billing_types:
          anyOf:
            - items:
                type: string
                enum:
                  - client_bill
                  - commercial_insurance
                  - patient_bill_passthrough
                  - patient_bill
              type: array
            - type: 'null'
          title: Allowed Billing Types
        disallowed_billing_states:
          anyOf:
            - additionalProperties:
                items:
                  type: string
                type: array
              propertyNames:
                enum:
                  - client_bill
                  - commercial_insurance
                  - patient_bill_passthrough
                  - patient_bill
              type: object
            - type: 'null'
          title: Disallowed Billing States
        quest:
          additionalProperties: true
          type: object
          title: Quest
        allowed_business_units:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Allowed Business Units
      type: object
      required:
        - quest
      title: QuestProviderDetails
    PolarTeamProviderDetails:
      properties:
        webhook_secret:
          type: string
          title: Webhook Secret
      type: object
      required:
        - webhook_secret
      title: PolarTeamProviderDetails
    GetLabsTeamProviderDetails:
      properties:
        getlabs:
          $ref: '#/components/schemas/GetLabsMetadata'
      type: object
      required:
        - getlabs
      title: GetLabsTeamProviderDetails
    PhlebFindersTeamProviderDetails:
      properties:
        phlebfinders:
          $ref: '#/components/schemas/PhlebFindersMetadata'
      type: object
      required:
        - phlebfinders
      title: PhlebFindersTeamProviderDetails
    LabcorpProviderDetails:
      properties:
        sub_account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Sub Account Id
        sub_account_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Sub Account Name
        allowed_billing_types:
          anyOf:
            - items:
                type: string
                enum:
                  - client_bill
                  - commercial_insurance
                  - patient_bill_passthrough
                  - patient_bill
              type: array
            - type: 'null'
          title: Allowed Billing Types
        disallowed_billing_states:
          anyOf:
            - additionalProperties:
                items:
                  type: string
                type: array
              propertyNames:
                enum:
                  - client_bill
                  - commercial_insurance
                  - patient_bill_passthrough
                  - patient_bill
              type: object
            - type: 'null'
          title: Disallowed Billing States
        sending_facility:
          type: string
          title: Sending Facility
        sending_application:
          type: string
          title: Sending Application
        receiving_facility:
          type: string
          title: Receiving Facility
        receiving_application:
          type: string
          title: Receiving Application
      type: object
      required:
        - sending_facility
        - sending_application
        - receiving_facility
        - receiving_application
      title: LabcorpProviderDetails
    MyFitnessPalV2TeamProviderDetails:
      properties:
        client:
          type: string
          title: Client
      type: object
      required:
        - client
      title: MyFitnessPalV2TeamProviderDetails
    FitbitMetadata:
      properties:
        is_hr_enabled:
          type: boolean
          title: Is Hr Enabled
          default: false
        workout_verify_token:
          type: string
          title: Workout Verify Token
        sleep_verify_token:
          type: string
          title: Sleep Verify Token
        body_verify_token:
          type: string
          title: Body Verify Token
        foods_verify_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Foods Verify Token
      type: object
      required:
        - workout_verify_token
        - sleep_verify_token
        - body_verify_token
      title: FitbitMetadata
    LabCorpMetadata:
      properties:
        account_number:
          type: string
          title: Account Number
        billing_method:
          type: string
          enum:
            - CM
            - PT
            - PI
          title: Billing Method
      type: object
      required:
        - account_number
        - billing_method
      title: LabCorpMetadata
    GetLabsMetadata:
      properties:
        webhook_secret_key:
          type: string
          title: Webhook Secret Key
        webhook_secret_token:
          type: string
          title: Webhook Secret Token
      type: object
      required:
        - webhook_secret_key
        - webhook_secret_token
      title: GetLabsMetadata
    PhlebFindersMetadata:
      properties:
        account_id:
          type: string
          title: Account Id
        account_name:
          type: string
          title: Account Name
        team_id:
          type: string
          title: Team Id
        team_name:
          type: string
          title: Team Name
        webhook_token:
          type: string
          title: Webhook Token
        email:
          type: string
          title: Email
      type: object
      required:
        - account_id
        - account_name
        - team_id
        - team_name
        - webhook_token
        - email
      title: PhlebFindersMetadata
  securitySchemes:
    ManagementKey:
      type: apiKey
      in: header
      name: X-Management-Key

````